.TH fwrestart 8 "2003-06-29" KRUD "Safer remote firewall re-starting."

.SH NAME
fwrestart \- Re-initialize the firewall rules, disabling firewall shell session is locked out.

.SH SYNOPSIS

.PP
.BI "fwrestart"

.SH DESCRIPTION

fwrestart uses terminal auto-response codes to safely re-start firewall
rules over a remote shell session.  It sends a request to your terminal
(xterm, for example), which responds back automatically.  When that
response is received, ensuring that fwrestart can communicate with the
terminal, fwrestart then issues a command to restart the firewall.  It then
tries another request to the terminal, and if that is not received within 5
seconds, a command is run to clear the firewall and an appropriate error is
generated.

The goal is to be able to automatically detect when changes to the firewall
block the administrative shell session, and to take corrective action.

By default the commands used to restart and clear the firewall are
"/sbin/service iptables start" and "/sbin/service iptables stop".  These
commands can be changed by modifying the values of "fwRestartCmd" and
"fwClearCmd" at the beginning of the fwrestart script.

.SH EXAMPLES

Re-load firewall rules, checking to ensure that the new rules don't block
the current session:

   fwrestart

.SH ENVIRONMENT
A KRUD installation (http://www.tummy.com/krud).

.SH AUTHOR
Sean Reifschneider (jafo@tummy.com) of tummy.com, ltd.

krudfind is a KRUD Linux product.

http://www.tummy.com/krud/
